%define name xxdiff
%define version 3.2
%define release 1

Summary: A graphical front end to the diff command
Name: %name
Version: %version
Release: %mkrel %release
License: GPL
Group: File tools
Source: http://prdownloads.sourceforge.net/xxdiff/%name-%version.tar.bz2
URL: http://furius.ca/xxdiff/
Buildroot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel flex-reentrant bison
 
%description
Xxdiff is a graphical browser for viewing the differences between two
files and can be used to produce a merged version.  The text of the
two or three files are presented side by side with their differences
highlighted for easy identification.

%package -n python-xxdiff
Summary: Python wrappers for xxdiff
Group: File tools
Requires: %{name} = %{version}  

%description -n python-xxdiff
This package contains an assotment of python scripts for usage
with xxdiff.

%prep 
%setup -q

%build
export QTDIR=%{_libdir}/qt3
cd src 
make -f Makefile.bootstrap makefile 
make 
../bin/xxdiff --help-html > xxdiff-doc.html  

%install 
rm -rf $RPM_BUILD_ROOT
##install python scripts 
python setup.py install --root=$RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_bindir} 
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

install -c -m 755 -s bin/xx* ${RPM_BUILD_ROOT}%{_bindir}/
install -c -m 644 src/xxdiff.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/xxdiff.1   

%clean
 rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root, root)
%doc README CHANGES
%doc doc
%_bindir/xxdiff
%_mandir/man1/xxdiff.1* 

%files -n python-xxdiff
%defattr(-,root,root) 
%doc COPYING doc/*scripts*
%_bindir/xx-*
%_bindir/svn-foreign 
%dir %_libdir/python%pyver/site-packages/xxdiff
%_libdir/python%pyver/site-packages/xxdiff/*

%changelog
* Sun Jul 02 2006 Charles A Edwards <eslrahc@mandriva.org> 3.2-1mdv2007.0
- 3.2
- update url
- BR flex-reentrant (instead of flex)
- Cap disc
- add python pkg
- rn buildroot at prep
- now uses qmake
- drop menu entry...it's useless (now no need for post postrun)
- update filelist

* Fri Dec 23 2005 Anssi Hannula <anssi@mandriva.org> 3.1-2mdk
- %%mkrel
- fix for lib64 archs
- fix summary ending with a dot

* Sat Nov 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- 3.1
- rename spec (breaks rpmbuilupdate)

* Wed Nov 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9-6mdk
- Rebuild 

* Tue Nov 25 2003 Marcel Pol <mpol@mandrake.org> 2.9-5mdk
- buildrequires
- more macros

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.9-4mdk
- 2.9

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.9-3mdk
- buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.9-2mdk
- rebuild

* Fri Sep 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.9-1mdk
- 2.9

* Tue Sep 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.8-1mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- new release

* Wed Aug 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6-1mdk
- add menu entry

* Wed Jul 31 2002 Austin Acton <aacton@yorku.ca> 2.6-1mdk
- specfile from Martin Blais <blais@iro.umontreal.ca>
- Mandrakize for Mandrake 8.2+
